<?php
/**
 * @package WordPress
 * @subpackage Classic_Theme
 */
?>
<!-- begin sidebar -->
<div id="menu">

<ul>
<?php 
// Display dynamic sidebar if available
if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar() ) : ?>

    <!-- Fallback for pages -->
    <?php wp_list_pages('title_li=' . __('Pages:')); ?>

    <!-- Fallback for categories -->
    <?php wp_list_categories('title_li=' . __('Categories:')); ?>

    <!-- Search form -->
    <li id="search">
        <label for="s"><?php _e('Search:'); ?></label>
        <form id="searchform" method="get" action="<?php echo esc_url(home_url('/')); ?>">
            <div>
                <input type="text" name="s" id="s" size="15" /><br />
                <input type="submit" value="<?php esc_attr_e('Search'); ?>" />
            </div>
        </form>
    </li>

    <!-- Archives -->
    <li id="archives"><?php _e('Archives:'); ?>
        <ul>
            <?php wp_get_archives('type=monthly'); ?>
        </ul>
    </li>

<?php endif; ?>
</ul>

</div>
<!-- end sidebar -->