<?php
/**
 * @package WordPress
 * @subpackage Classic_Theme
 */

// Enable support for automatic feed links
add_theme_support('automatic-feed-links');

// Register sidebar
if ( function_exists('register_sidebar') ) {
    register_sidebar(array(
        'before_widget' => '<li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li>',
        'before_title' => '',
        'after_title' => '',
    ));
}

// Filter to remove image attachment links
add_filter('the_content', 'attachment_image_link_remove_filter');
function attachment_image_link_remove_filter($content) {
    $content = preg_replace(
        array('{<a(.*?)(wp-att|wp-content\/uploads)[^>]*><img}', '{ wp-image-[0-9]*" /></a>}'),
        array('<img', '" />'),
        $content
    );
    return $content;
}

// Remove WordPress version from head
remove_action('wp_head', 'wp_generator');

?>
